% base document which contains all setups for the proposal and for the CV.
% If there is anything that should be available for both
% documents put it here!!!

% We provide some commands that can be used throughout the proposal.
% Define them in the file `custom.tex`!
\providecommand\CRC{Collaborative Research Centre\xspace}
\providecommand\crcLocation{<Location>\xspace}
\providecommand\crcDate{YYYY-MM-DD\xspace} % date when proposal will be turned in
\providecommand\thisCRC{CRC\,\get[crc]{crc}{number}\xspace}
\providecommand\crcTitle{\enquote{\get[crc]{crc}{name}}\xspace}
\providecommand{\crcProjectTMP}{}

% get the numeral of the current/applying funding period
%
\AfterEndPreamble{%
\DTLgetvalueforkey%
{\crcFundingPeriodNumeral}% <- value stored in this command
{fundingPeriodNumeral}% <- read column to retrieve value
{crc}% <- name of the database
{ID}% <- column for the value below
{crc}%<- value
}

\newcommand{\crcProjectPart}[2]{%
  \iftoggle{crc@final}{%
    \addtocentrydefault{chapter}
    {#1}
    {Project area #1 – #2}
  }{}
}
% Instead of passing this in the main document,
% we put it in this document to have it available for
% the proposal and for the cvs.
\KOMAoptions{
  fontsize=10pt,
  parskip=half-,
  numbers=noenddot,
  headings=optiontotoc,%andhead,% switch on extended optional argument parsing
                      % for sectioning commands and restrict it to the ToC
}

\NewDocumentCommand{\crcBlindtext}{o}
{%
  \IfNoValueTF{#1}{%
  \textcolor{rwthGrey}{\blindtext}%
}{%
    \textcolor{rwthGrey}{\blindtext[#1]}%
}
}

% defining standard for boxes
\tcbset{
  crcStyle/.style={%
  enhanced jigsaw,
  colback=tableHeadingsBG,
  colframe=tableHeadingsFont,
  colupper=tableHeadingsFont,
  fontupper=\sffamily,
 % after skip=1em,
  before={\pagebreak[0]},
  after={\nopagebreak},
 % fonttitle=\bfseries,
  %boxrule=0.5pt,
  sharp corners,
   toprule=2pt,
   rightrule=0mm,
   leftrule=0mm,
  % drop shadow=rwthGrey,
  %drop large lifted shadow,
  width=\linewidth,
  bottomrule=2pt,
  % draft,
  left=2mm,
  bottom=0mm,
  top=0mm,
  capture=minipage,
}}
% creating an enviroment for a box
\newtcolorbox{crcBoxEnv}[1][]{
  crcStyle,
  left=1mm,
  before={\par},
%------ title below.
%   rounded corners,
%   toprule=0pt,
%   rightrule=2pt,
%    leftrule=2pt,
% attach boxed title to bottom center,
%   boxed title style={empty,boxrule=2pt},
%   varwidth boxed title=0.5\linewidth,
%   underlay boxed title={
% \draw[tableHeadingsBG,line width=2pt] ([xshift=1.5pt-\tcboxedtitleheight*2,yshift=1.5pt]title.north west) --([xshift=-1.5pt+\tcboxedtitleheight*2,yshift=1.5pt]title.north east);
% \path[draw=tableHeadingsFont,top color=tableHeadingsBG,bottom color=tableHeadingsFont,line width=2pt] ([xshift=1pt-\tcboxedtitleheight*2,yshift=1pt]title.north west)
% cos +(\tcboxedtitleheight,-\tcboxedtitleheight/2)
% sin +(\tcboxedtitleheight,-\tcboxedtitleheight/2)
% -- ([xshift=1pt,yshift=1pt]title.south west) -- ([yshift=1pt]title.south east)
% cos +(\tcboxedtitleheight,\tcboxedtitleheight/2)
% sin +(\tcboxedtitleheight,\tcboxedtitleheight/2); },
% ----
  #1
}

\newtcolorbox{crcTitleBox}[1][]{
  crcStyle,
  top=5mm,
  left=1mm,
  before={\par},
  after={\par},
  height=2.5cm,
    fontupper=\rmfamily,
  % ------ title below.
  width=0.75\linewidth,
  rounded corners,
  toprule=2pt,
  rightrule=2pt,
   leftrule=2pt,
attach boxed title to bottom center,
  boxed title style={empty,boxrule=2pt},
  varwidth boxed title=0.5\linewidth,
  underlay boxed title={
\draw[tableHeadingsBG,line width=2pt] ([xshift=1.5pt-\tcboxedtitleheight*2,yshift=1.5pt]title.north west) --([xshift=-1.5pt+\tcboxedtitleheight*2,yshift=1.5pt]title.north east);
\path[draw=tableHeadingsFont,top color=tableHeadingsBG,bottom color=tableHeadingsFont,line width=2pt] ([xshift=1pt-\tcboxedtitleheight*2,yshift=1pt]title.north west)
cos +(\tcboxedtitleheight,-\tcboxedtitleheight/2)
sin +(\tcboxedtitleheight,-\tcboxedtitleheight/2)
-- ([xshift=1pt,yshift=1pt]title.south west) -- ([yshift=1pt]title.south east)
cos +(\tcboxedtitleheight,\tcboxedtitleheight/2)
sin +(\tcboxedtitleheight,\tcboxedtitleheight/2);
},
% ----
  #1
}

% customizing bulletpoints
\newcommand{\crcArrowHead}{\usym{27A4}}
\newcommand{\crcBulletPoint}{\usym{2609}}

\newtcolorbox{crcSummaryBox}[1][]{
  crcStyle,
  top=1mm,
  left=1mm,
  bottom=1mm,
  before={\par},
  after={\par},
    colback=rwthBlueLight,
    before upper={\begin{itemize}[leftmargin=.5cm]%
                          \renewcommand{\labelitemi}{\crcBulletPoint}%
                          \hypersetup{linkcolor=tableHeadingsFont}%
                          \colorlet{referencePI}{tableHeadingsFont}
                          \colorlet{referenceWP}{tableHeadingsFont}
                          \colorlet{referenceAim}{tableHeadingsFont}

},
  after upper={\end{itemize}},
%  height=2.5cm,
    fontupper=\rmfamily,
  % ------ title below.
  width=\linewidth,
  rounded corners,
  toprule=2pt,
  rightrule=2pt,
   leftrule=2pt,
% attach boxed title to bottom center,
  boxed title style={empty,boxrule=2pt},
  varwidth boxed title=0.5\linewidth,
%   underlay boxed title={
% \draw[tableHeadingsBG,line width=2pt] ([xshift=1.5pt-\tcboxedtitleheight*2,yshift=1.5pt]title.north west) --([xshift=-1.5pt+\tcboxedtitleheight*2,yshift=1.5pt]title.north east);
% \path[draw=tableHeadingsFont,top color=tableHeadingsBG,bottom color=tableHeadingsFont,line width=2pt] ([xshift=1pt-\tcboxedtitleheight*2,yshift=1pt]title.north west)
% cos +(\tcboxedtitleheight,-\tcboxedtitleheight/2)
% sin +(\tcboxedtitleheight,-\tcboxedtitleheight/2)
% -- ([xshift=1pt,yshift=1pt]title.south west) -- ([yshift=1pt]title.south east)
% cos +(\tcboxedtitleheight,\tcboxedtitleheight/2)
% sin +(\tcboxedtitleheight,\tcboxedtitleheight/2);
% },
% ----
  #1
}

% creating some boxes, e.g. for CV sections.
\newtcbox{\crcBox}[1][]{
  crcStyle,
  #1
}

% This is a fallback command, since it actually is filled when
% using the makefile (will only work for unix systems and texLive)
\providecommand{\InfoTeX}{LuaLaTeX (via Overleaf).}
% not filling the whole page when not necessary
\raggedbottom
% Font
\defaultfontfeatures{
 Scale=MatchLowercase,
 Ligatures={TeX},
}

\setmainfont{Noto Serif}
%\setsansfont{Noto Sans} % <--- has no math support
\setsansfont{Roboto Light}[
  ItalicFont=Roboto-LightItalic,
  BoldFont=Roboto-Medium,
  BoldItalicFont=Roboto-Medium-Italic,
]

% colors
% \definecolor{rwthblue}{rgb}{0,0.3294,0.6235}
% we use the color schema originally from the corporate design
% of the RWTH.
\definecolor{rwthBlue}{RGB}{0,84,159}
%\definecolor{rwthBlueLight}{RGB}{199,221,242} % #C7DDF2  % 25%
\definecolor{rwthBlueLight}{RGB}{232,241,250} %   % 10%
\definecolor{rwthRed}{RGB}{227,0,102} % #E30066
\definecolor{rwthRedLight}{RGB}{230,150,121}% 50%   {243,205,187} % 25%
\definecolor{rwthGreen}{RGB}{87,171,39}
%\definecolor{rwthGreenLight}{RGB}{184,214,152}%50%
\definecolor{rwthGreenLight}{RGB}{221,235,206}%25
%\definecolor{rwthGreenLight}{RGB}{242,247,236}%10
\definecolor{rwthYellow}{RGB}{255,237,0} % #ffed00
\definecolor{rwthYellowLight}{RGB}{255,245,155} %50%
\definecolor{rwthGrey}{RGB}{156,158,159}%{236,237,237} % #ECEDED
\definecolor{rwthGreyLight}{RGB}{236,237,237} % #ECEDED
\definecolor{rwthCyan}{RGB}{0,152,161} % #0098A1
\definecolor{rwthCyanLight}{RGB}{137,204,207} % 50%
\definecolor{rwthOrange}{RGB}{246,168,0} %
\definecolor{rwthOrangeLight}{RGB}{253,212,143} % 50%
\definecolor{orcid}{RGB}{174,205,84} %


% a color for the projects
\colorlet{projectA}{rwthBlue}
\colorlet{projectB}{rwthGreen}
\colorlet{projectQ}{rwthGrey}
% some fall back solutions, can be deleted and
% should not be used anymore.
\colorlet{crcBlue}{rwthBlue}

% this is a colorset that leds back to the colors defined about.
% The idea is to quickly redefine certain colors without going into
% the acutal code.

% background for the table headings
\colorlet{tableHeadingsBG}{rwthBlueLight}
% depending on the color above we need to modify the font color, too.
\colorlet{tableHeadingsFont}{rwthBlue}
% alternating row colors.
\colorlet{tableRows}{rwthGreyLight}
% the inner lines of the tables.
\colorlet{tableLines}{rwthBlue}
% the very first and the very last line color
\colorlet{tableOuterLines}{rwthBlue}
% some cells should and will not contain any value.
\colorlet{tableNoValue}{rwthGreyLight}
% sometimes the first column should/needs to be highlighted
% especially when this is a column the table is sorted.
\colorlet{tableFirstColumn}{black}
% Depending on the color of the table heading, we need to modify the
% color of the hyperlink since it can be the same as the
% colorlink from hyperref.
\colorlet{tableLink}{tableHeadingsFont}
% common lines, e.g. used for the signature part.
\colorlet{lines}{rwthBlue}
% the inner textual referrencing way for PIs etc.
\colorlet{referencePI}{black}
% color for referring to a workpackage
\colorlet{referenceWP}{black}
% color for referring to an aim.
\colorlet{referenceAim}{black}

% some additional information on the title page
% actually just needed for the appendix
%\newcommand\crcTitlepageName{}

% adjust font seetings for bibliography
\renewcommand{\bibfont}{\small}
\AtEveryBibitem{
  \clearfield{url}
  \clearfield{month}
  \clearfield{note}
  \clearfield{issn}
  \clearlist{language}}
% saving space and keep it at a minimum distance.
\setlength{\bibitemsep}{0pt}%
% we need to annotate authors with equal contribution.
% How to do that, have a look at the README.
% This is done using `author+an= {1=equal;2=equal}` for the
% first two authors with equal contribution.


% https://tex.stackexchange.com/a/665005/98739
\newcommand{\addendumasterisk}{\ifbibliography{*}{}}
%%% the following three lines commented out, see end of the answer
%\newtoggle{showasterisk}
%\newcommand{\addendumasterisk}{\iftoggle{showasterisk}{*}{}}
%\appto{\bibsetup}{\toggletrue{showasterisk}}

% There is also the possibility that authors share the last authorship.
% with the bib-string `lastShared` we can get it work.
\renewcommand*{\mkbibnamefamily}[1]{%
  \ifitemannotation{equal}
    {#1\addendumasterisk}% add a * for those authors
    {%
    % Then we check for "shared Last authorship"
    \ifitemannotation{sharedLast}%
    {#1\addendumasterisk}% adding a symbol
    {#1}% do nothing for any one else.
  }}


% ======= IMAGES/LOGO
% making it not necessary to write the full path.
\graphicspath{
  {figures/}
  {figures/logo/}
  {plots/}
  {plots/publications/}
  {plots/projects/}
}

% getting the main logo of the CRC
% the filename needs to be adjusted or make this more generic.
\NewDocumentCommand{\crcLogo}{O{1cm}}{%
    \includegraphics[#1]{example-image-a}}

% same for the RWTH.
\NewDocumentCommand{\rwthLogo}{O{1cm}}{%
  \includegraphics[#1]{example-image-b}} %<--- Insert the RWTH logo here.

  % ======= scrlayer
% \lehead[left even]{left even}
% \cehead[center even]{center even}
% \rehead[right even]{right even}
% \lohead[left odd]{left odd}G
% \cohead[center odd]{center odd}
% \rohead[right odd]{right odd}

%  \rohead{\rightmark}
%  \lehead{\rightmark}
\clearmainofpairofpagestyles

\renewcommand{\chaptermarkformat}{}
\renewcommand{\sectionmarkformat}{}
\ofoot*{\pagemark}%Clear the outer foot
\ifoot*{\crcLogo[height=0.5cm]}%pagemark in the center only on plain pages
\addtokomafont{pagehead}{\normalfont\sffamily}
\addtokomafont{pagefoot}{\bfseries}
% italics instead of slanted
%\clearmainofpairofpagestyles
\pagestyle{scrheadings}

% ===== Thumb index
% https://tex.stackexchange.com/a/57317/98739
% requires:
% load TikZ to draw the boxes
%%% \usepackage{tikz}
%%% \usetikzlibrary{calc}

% use scrpage2 or whatever you want to add
% the boxes to the header to make them appear
% on every page
%%% \usepackage{scrlayer-scrpage}
%%% \pagestyle{scrheadings}
% new counter to hold the current number of the
% letter to determine the vertical position
\newcounter{letternum}
% newcounter to set the number of thumbs fitting vertical
% and setting the height of a boxes
\newcounter{letterdiv}
\setcounter{letterdiv}{12} %<---- how many thumbnails until it repeats from page top.
% some margin settings
\newlength{\thumbtopmargin}
\setlength{\thumbtopmargin}{3cm}
\newlength{\thumbbottommargin}
\setlength{\thumbbottommargin}{3cm}
% calculate the box height by dividing the page height
\newlength{\thumbheight}
\pgfmathsetlength{\thumbheight}{%
    (\paperheight-\thumbtopmargin-\thumbbottommargin)%
    /%
    \value{letterdiv}
}
% box width
\newlength{\thumbwidth}
\setlength{\thumbwidth}{1.25cm}
% style the boxes
\newcommand\crcThumbColor{black}
\tikzset{
    thumb/.style={
      % \iftoggle{crc@thumb@blue}{fill=rwthBlue,}{fill=rwthRed,}
        fill=\crcThumbColor, % this color will change during the proposal.
        text=white,
        minimum height=\thumbheight,
        text width=\thumbwidth,
        outer sep=0pt,
        font=\bfseries\Huge,
        inner xsep=1.5em,
    }
}
% create two new commands to make the thumbs
% that makes it easy to use them im different header elements,
% like in the plain and normal page style etc.
\newcommand{\evenpageletterthumb}[1]{%
     % see pgfmanual.pdf for more information about this part
     \begin{tikzpicture}[remember picture, overlay]
         \node [thumb,align=left,anchor=base west,rounded rectangle, rounded rectangle west arc=0pt] at ($%
             (current page.north west)-%
             (0,{\thumbtopmargin+(\value{letternum}-1)*\thumbheight})%
         $) {#1};
     \end{tikzpicture}
}
\newcommand{\oddpageletterthumb}[1]{%
     \begin{tikzpicture}[remember picture, overlay]
         \node [thumb,align=right,anchor=base east,rounded rectangle, rounded rectangle east arc=0pt] at ($%
             (current page.north east)-%
             (0,{\thumbtopmargin+(\value{letternum}-1)*\thumbheight})%
             $) {#1};
             
     \end{tikzpicture}
}
% create a new command to set a new lettergroup
\newcommand{\lettergroup}[1]{%
    % but I recommend to start a new page
    %\clearpage
    % set a title (optional)
    %{\Huge\bfseries\sffamily #1}\par\bigskip
    % check if we reached the last vertical position and reset it
    \ifnum\value{letternum}=\value{letterdiv}\relax
        \setcounter{letternum}{0}%
    \fi
    % check if we reached the last vertical position and reset it
    \ifnum\value{letternum}=\value{letterdiv}\relax
        \setcounter{letternum}{0}%
    \fi
    \stepcounter{letternum}%
    % use one head or foot element to put in the box
    % it doesn't matter which you use since the box
    % is positioned on the page absolutely
    \lohead[\oddpageletterthumb{#1}]{\oddpageletterthumb{#1}}%
    \lehead[\evenpageletterthumb{#1}]{\evenpageletterthumb{#1}}%
    }


% we need some specific columns
\newcolumntype{L}[1]{>{\raggedright\let\newline\\\arraybackslash\hspace{0pt}}p{#1}}
\newcolumntype{C}[1]{>{\centering\let\newline\\\arraybackslash\hspace{0pt}}p{#1}}
\newcolumntype{R}[1]{>{\raggedleft\let\newline\\\arraybackslash\hspace{0pt}}p{#1}}




% ==== TOC style
\newcommand\tocgobble[1]{}% <- added
\newcommand\tocpageseparator{\normalsize\bfseries\,\mbox{\color{lines}---}\,}
\newcommand\tocpagenumberbox[1]{\mbox{#1}}% <- added
\KOMAoptions{toc=indentunnumbered}

% not getting sections etc. into the TOC.
\setcounter{secnumdepth}{2}
\setcounter{tocdepth}{2}


% there should be less space after a
% subsubsection
\RedeclareSectionCommands[
  font=\usekomafont{subsection},
  % beforeskip=1pt,
  % afterskip=.5pt
  ]{subsubsection}


  \RedeclareSectionCommands[
  tocraggedpagenumber,
  toclinefill=\tocpageseparator,
  tocindent=0em,
  tocnumwidth=4em,
  tocpagenumberbox=\tocpagenumberbox,% <- added
  % tocpagenumberformat=\textsf,
  beforeskip= 0ex,
  afterskip= 0.01ex
]{section,subsection,subsubsection}



% no page number for chapters in TOC
\RedeclareSectionCommands[
  tocraggedpagenumber,
  toclinefill=\tocgobble,
  tocindent=0em,
  tocnumwidth=4em,
  tocpagenumberbox=\tocgobble,% <- added
  % tocpagenumberformat=\textsf,
  beforeskip= 0ex,
  afterskip=0.1ex,
    tocentryformat=\bfseries\Large\sffamily,
]{chapter}


% redefine quotations
\renewcommand{\mkccitation}[1]{ (#1)}

% ==== Lists
\setlist[enumerate]{nosep}
\setlist[description]{
  %leftmargin=*,
  leftmargin=*
}


% getting label into margin
%\DeclareCaptionFormat{llapx}{\llap{\makebox[5em][l]{#1}}#3\par}
%
\captionsetup{%
  % format=llapx,
  hypcap=false,
  format=plain,
  singlelinecheck=off,
    labelsep={colon}, % saving space
    %justification=RaggedRight,
    font={small,sf},
    labelfont={
      sf,
      % rm, % roman = normalfont
      bf, % bold face
    }
  }
%%%\hvFloat*[Options]+{floattype}{floatingobject}[shortcaption]{longcaption}{label}
\hvFloatSet{capPos=bottom,capVPos=top,floatPos=!hb}% this are the default values.
  % get rid of footnote line (typographically a desaster!)
  % and write proper numbers as footnote reference/anker.
\deffootnote{0em}{0em}{\thefootnotemark\hskip .5em}
\renewcommand{\footnoterule}{%
 % \kern -4.5pt
 % \hrule width \textwidth height 0.5pt
 % \kern 4pt
}


%%%%%%%%%%%%%%%%%%%%%
% Database settings %
%%%%%%%%%%%%%%%%%%%%%

% === tags ====
\makeatletter
\NewDocumentCommand{\crcShowTag}{mmo}{%
  \leavevmode\vbox to\z@{{%
    \vss\color{rwthGrey}
    \rlap{\vrule\raise .9em%
      \hbox{\underbar{%
          \normalfont%
          \tiny%
          \ttfamily#1:#2\IfNoValueTF{#3}{}{#3}}}}}}}
\makeatother

%FIXME: \texorpdfstring{}{}
%\get[<DATABASE>]{<VALUE of ID>}{<FIELD>}[<alternative ID-field>]
\NewDocumentCommand{\get}{o m m O{ID}}{%
 \def\crcDB{}%
 \IfNoValueTF{#1}%
 {\def\crcDB{\crcLocalDB}}%
 {\def\crcDB{#1}}%
   \DTLgetvalueforkey{\thevalue}{#3}{\crcDB}{#4}{#2}%
  \iftoggle{crc@tags}%
    {\crcShowTag{#2}{#3}%
     \textcolor{rwthBlue}{\thevalue}}%
    {\thevalue}%
}

% comparing values against the database
% helper command
\newcommand{\crcCompare}[4]{%
    \edef\tmpa{#1}% expand everything and store in \tmpa
    \edef\tmpb{#2}% expand everything and store in \tmpb
    \ifdefequal\tmpa\tmpb{#3}{#4}%
}


% == Generic entry for databases
% #1 name of the key-set (person/VIP/project)
% #2 name of the key-set
% #3 key-values
\NewDocumentCommand{\crcEntry}{ o m m }{%
  \def\crcDB{#2}%
  \DTLifdbexists{\crcDB}{}{\DTLnewdb{\crcDB}}%
  \DTLnewrow{\crcDB}%
  \IfNoValueTF{#1}{\setkeys{#2}{#3}}{\setkeys{#1}{#3}}%
}

% USE in document:
% \compare
% {<DATABASE>}
% {<FIELD>}
% {<VALUE}
% {<TRUE-CASE>}
% {<FALSE-CASE>}
\NewDocumentCommand{\compare}{ o m m m m m}{%
 \def\crcDB{}%
 \IfNoValueTF{#1}
 {\def\crcDB{\crcLocalDB}}
 {\def\crcDB{#1}}%
  \DTLgetvalueforkey{\thevalue}{#3}{\crcDB}{ID}{#2}%
  \crcCompare{\thevalue}{#4}{#5}{#6}%
}
% Use: \getName{<id>}{<dateField>}
\NewDocumentCommand{\getName}{m}{%
   \DTLgetvalueforkey{\thevalue}{name}{PI}{ID}{#1}%
    \thevalue\xspace%
}
% Use: \getName{<id>}{<dateField>}
\NewDocumentCommand{\getFullName}{m}{%
     \DTLgetvalueforkey{\thevalue}{name}{PI}{ID}{#1}\thevalue,\space%
     \DTLgetvalueforkey{\thevalue}{nameFirst}{PI}{ID}{#1}\thevalue\xspace%
   }

   % In case you want to refer to another section
\NewDocumentCommand{\crcSectionRef}{m}{%
\cref{#1} \emph{\nameref{#1}}\xspace%
   }
% ===== people database setup =======
\makeatletter
\define@key{person}{ID}{\DTLnewdbentry{\crcDB}{ID}{#1}}
\define@key{person}{name}{\DTLnewdbentry{\crcDB}{name}{#1}}
\define@key{person}{nameFirst}{\DTLnewdbentry{\crcDB}{nameFirst}{#1}}
\define@key{person}{title}{\DTLnewdbentry{\crcDB}{title}{#1}}
\define@key{person}{orcid}{\DTLnewdbentry{\crcDB}{orcid}{#1}}
\define@key{person}{specialRole}{\DTLnewdbentry{\crcDB}{specialRole}{#1}}
\define@key{person}{institute}{\DTLnewdbentry{\crcDB}{institute}{#1}}
\define@key{person}{university}{\DTLnewdbentry{\crcDB}{university}{#1}}
\define@key{person}{addressStreet}{\DTLnewdbentry{\crcDB}{addressStreet}{#1}}
\define@key{person}{addressZIP}{\DTLnewdbentry{\crcDB}{addressZIP}{#1}}
\define@key{person}{addressLocation}{\DTLnewdbentry{\crcDB}{addressLocation}{#1}}
\define@key{person}{phone}{\DTLnewdbentry{\crcDB}{phone}{#1}}
\define@key{person}{dateBirth}{\DTLnewdbentry{\crcDB}{dateBirth}{#1}}
\define@key{person}{yearDoctorate}{\DTLnewdbentry{\crcDB}{yearDoctorate}{#1}}
\define@key{person}{project}{\DTLnewdbentry{\crcDB}{project}{#1}}
\define@key{person}{period}{\DTLnewdbentry{\crcDB}{period}{#1}}
\define@key{person}{nationality}{\DTLnewdbentry{\crcDB}{nationality}{#1}}
\define@key{person}{email}{\DTLnewdbentry{\crcDB}{email}{#1}}
\define@key{person}{position}{\DTLnewdbentry{\crcDB}{position}{#1}}
\define@key{person}{positionText}{\DTLnewdbentry{\crcDB}{positionText}{#1}}
\define@key{person}{gender}{\DTLnewdbentry{\crcDB}{gender}{#1}}
\define@key{person}{children}{\DTLnewdbentry{\crcDB}{children}{#1}}
\define@key{person}{Q1}{\DTLnewdbentry{\crcDB}{Q1}{#1}}
\define@key{person}{Q2}{\DTLnewdbentry{\crcDB}{Q2}{#1}}
\define@key{person}{Q3}{\DTLnewdbentry{\crcDB}{Q3}{#1}}
\define@key{person}{Q4}{\DTLnewdbentry{\crcDB}{Q4}{#1}}
\define@key{person}{Q5}{\DTLnewdbentry{\crcDB}{Q5}{#1}}
\makeatother


% ===== project database setup
% however this section is only needed for the proposal text
% we need it in `base`, otherwise it will throw an error.
\makeatletter
\define@key{project}{ID}[\DTLnewdbentry{\crcDB}{name}{}]{\DTLnewdbentry{\crcDB}{ID}{#1}}
\define@key{project}{name}[\DTLnewdbentry{\crcDB}{name}{}]{\DTLnewdbentry{\crcDB}{name}{#1}}
\define@key{project}{number}[\DTLnewdbentry{\crcDB}{number}{}]{\DTLnewdbentry{\crcDB}{number}{#1}}
\define@key{project}{status}[\DTLnewdbentry{\crcDB}{status}{}]{\DTLnewdbentry{\crcDB}{status}{#1}}
\define@key{project}{type}[\DTLnewdbentry{\crcDB}{type}{}]{\DTLnewdbentry{\crcDB}{type}{#1}}
\define@key{project}{pi}[\DTLnewdbentry{\crcDB}{pi}{}]{\DTLnewdbentry{\crcDB}{pi}{#1}}
\define@key{project}{area}[\DTLnewdbentry{\crcDB}{area}{}]{\DTLnewdbentry{\crcDB}{area}{#1}}
\define@key{project}{Q1}[\DTLnewdbentry{\crcDB}{Q1}{}]{\DTLnewdbentry{\crcDB}{Q1}{#1}}
\define@key{project}{Q1a}[\DTLnewdbentry{\crcDB}{Q1a}{}]{\DTLnewdbentry{\crcDB}{Q1a}{#1}}
\define@key{project}{Q2}[\DTLnewdbentry{\crcDB}{Q2}{}]{\DTLnewdbentry{\crcDB}{Q2}{#1}}
\define@key{project}{Q2a}[\DTLnewdbentry{\crcDB}{Q2a}{}]{\DTLnewdbentry{\crcDB}{Q2a}{#1}}
\define@key{project}{Q3}[\DTLnewdbentry{\crcDB}{Q3}{}]{\DTLnewdbentry{\crcDB}{Q3}{#1}}
\define@key{project}{Q4}[\DTLnewdbentry{\crcDB}{Q4}{}]{\DTLnewdbentry{\crcDB}{Q4}{#1}}
\define@key{project}{Q5}[\DTLnewdbentry{\crcDB}{Q5}{}]{\DTLnewdbentry{\crcDB}{Q5}{#1}}
\define@key{project}{Q5a}[\DTLnewdbentry{\crcDB}{Q5a}{}]{\DTLnewdbentry{\crcDB}{Q5a}{#1}}
\define@key{project}{Q6}[\DTLnewdbentry{\crcDB}{Q6}{}]{\DTLnewdbentry{\crcDB}{Q6}{#1}}
\define@key{project}{Q7}[\DTLnewdbentry{\crcDB}{Q7}{}]{\DTLnewdbentry{\crcDB}{Q7}{#1}}
\define@key{project}{Q7a}[\DTLnewdbentry{\crcDB}{Q7a}{}]{\DTLnewdbentry{\crcDB}{Q7a}{#1}}
\makeatother


% general information about crc
\DTLnewdb{crc}
\DTLnewrow{crc}
\makeatletter
\define@key{crc}{ID}{\DTLnewdbentry{\crcDB}{ID}{#1}}
\define@key{crc}{number}{\DTLnewdbentry{\crcDB}{number}{#1}}
\define@key{crc}{name}{\DTLnewdbentry{\crcDB}{name}{#1}}
\define@key{crc}{nameAddon}{\DTLnewdbentry{\crcDB}{nameAddon}{#1}}
\define@key{crc}{fundingPeriod}{\DTLnewdbentry{\crcDB}{fundingPeriod}{#1}}
\define@key{crc}{fundingPeriodNumeral}{\DTLnewdbentry{\crcDB}{fundingPeriodNumeral}{#1}}
\define@key{crc}{fundingPeriodYear}{\DTLnewdbentry{\crcDB}{fundingPeriodYear}{#1}}
\define@key{crc}{fundedSince}{\DTLnewdbentry{\crcDB}{fundedSince}{#1}}
\define@key{crc}{universityName}{\DTLnewdbentry{\crcDB}{universityName}{#1}}
\define@key{crc}{fundingYear1}{\DTLnewdbentry{\crcDB}{fundingYear1}{#1}}
\define@key{crc}{fundingYear2}{\DTLnewdbentry{\crcDB}{fundingYear2}{#1}}
\define@key{crc}{fundingYear3}{\DTLnewdbentry{\crcDB}{fundingYear3}{#1}}
\define@key{crc}{fundingYear4}{\DTLnewdbentry{\crcDB}{fundingYear4}{#1}}
\define@key{crc}{fundingYear5}{\DTLnewdbentry{\crcDB}{fundingYear5}{#1}}
\define@key{crc}{fundingYear1previous}{\DTLnewdbentry{\crcDB}{fundingYear1previous}{#1}}
\define@key{crc}{fundingYear2previous}{\DTLnewdbentry{\crcDB}{fundingYear2previous}{#1}}
\define@key{crc}{fundingYear3previous}{\DTLnewdbentry{\crcDB}{fundingYear3previous}{#1}}
\define@key{crc}{fundingYear4previous}{\DTLnewdbentry{\crcDB}{fundingYear4previous}{#1}}
\define@key{crc}{fundingYear5previous}{\DTLnewdbentry{\crcDB}{fundingYear5previous}{#1}}
% data from previous proposal
\define@key{crc}{GenderEqualityPIpostDoc}{\DTLnewdbentry{\crcDB}{GenderEqualityPIpostDoc}{#1}}
\define@key{crc}{GenderEqualityPIresearchGroupLeader}{\DTLnewdbentry{\crcDB}{GenderEqualityPIresearchGroupLeader}{#1}}
\define@key{crc}{GenderEqualityPIprof-W2}{\DTLnewdbentry{\crcDB}{GenderEqualityPIprof-W2}{#1}}
\define@key{crc}{GenderEqualityPIprof-W3}{\DTLnewdbentry{\crcDB}{GenderEqualityPIprof-W3}{#1}}

\makeatother

% ==== orcid icon
% see https://info.orcid.org/brand-guidelines/
% the Icon comes from the academic-icon package.
\NewDocumentCommand{\orcidIcon}{}{\begingroup\sffamily\textcolor{orcid}{\aiOrcid}\endgroup}
\NewDocumentCommand{\orcidID}{m}{\orcidIcon\,%
  \DTLgetvalueforkey{\thevalue}{orcid}{PI}{ID}{#1}%
  \iftoggle{crc@tags}
  {\crcShowTag{#1}{orcid}}{}%
  {\href{https://orcid.org/\thevalue}{\thevalue}}}
\NewDocumentCommand{\orcid}{m}{(\raisebox{-1pt}{\orcidIcon}\,\href{https://orcid.org/#1}{#1})}

% ====== Getting authors in bold letters
% a very important feature, which needs to be maintained.
% https://tex.stackexchange.com/a/578485/98739
%\iftoggle{crc@boldbib}{
  \makeatletter
\def\nhblx@bibfile@name{bib/\jobname -boldAuthors.bib}
\newwrite\nhblx@bibfile
\immediate\openout\nhblx@bibfile=\nhblx@bibfile@name

\immediate\write\nhblx@bibfile{%
  @comment{Auto-generated file}\blx@nl}

\newcounter{nhblx@name}
\setcounter{nhblx@name}{0}

\newcommand*{\nhblx@writenametobib}[1]{%
  \stepcounter{nhblx@name}%
  \edef\nhblx@tmp@nocite{%
    \noexpand\AfterPreamble{%
      \noexpand\setbox0\noexpand\vbox{%
        \noexpand\nhblx@getmethehash{nhblx@name@\the\value{nhblx@name}}}}%
  }%
  \nhblx@tmp@nocite
  \immediate\write\nhblx@bibfile{%
    @misc{nhblx@name@\the\value{nhblx@name}, author = {\unexpanded{#1}}, %
          options = {dataonly=true},}%
  }%
}

\AtEndDocument{%
  \closeout\nhblx@bibfile}

\addbibresource{\nhblx@bibfile@name}


\newcommand*{\nhblx@boldhashes}{}
\DeclareNameFormat{nhblx@hashextract}{%
  \xifinlist{\thefield{hash}}{\nhblx@boldhashes}
    {}
    {\listxadd{\nhblx@boldhashes}{\thefield{hash}}}}

\DeclareCiteCommand{\nhblx@getmethehash}
  {}
  {\printnames[nhblx@hashextract][1-999]{author}}
  {}
  {}


\newcommand*{\addboldnames}{\forcsvlist\nhblx@writenametobib}
\newcommand*{\resetboldnames}{\def\nhblx@boldhashes{}}

\newcommand*{\mkboldifhashinlist}[1]{%
  \xifinlist{\thefield{hash}}{\nhblx@boldhashes}
    {\mkbibbold{\textcolor{referencePI}{#1}}}
    {#1}}
\makeatother

\DeclareNameWrapperFormat{boldifhashinlist}{%
  \renewcommand*{\mkbibcompletename}{\mkboldifhashinlist}%
  #1}

\DeclareNameWrapperAlias{sortname}{default}
\DeclareNameWrapperAlias{default}{boldifhashinlist}
%}{}


% FIXING THINGS
\pdfstringdefDisableCommands{\let\get\relax}

\AfterEndPreamble{
\DTLgetvalueforkey{\theCRCname}{name}{crc}{ID}{crc}% getting Title of CRC
\DTLgetvalueforkey{\theCRCnameAddon}{nameAddon}{crc}{ID}{crc}% getting name addon of CRC
\DTLgetvalueforkey{\theCRCnumber}{number}{crc}{ID}{crc}% getting number of CRC
\DTLgetvalueforkey{\theNameSpokespersonPosition}{position}{VIP}{specialRole}{spokesperson}% getting Title of Spokesperson
\DTLgetvalueforkey{\theNameSpokespersonName}{name}{VIP}{specialRole}{spokesperson}% getting Title of CRC
\DTLgetvalueforkey{\theNameSpokespersonNameFirst}{nameFirst}{VIP}{specialRole}{spokesperson}% getting Title of CRC



% hyperref options
\hypersetup{          % setup the hyperref-package options
  % unicode      = true,
  pdftitle     = {\theCRCname. \theCRCnameAddon},  %   - title (PDF meta)
  pdfsubject   = {\CRC},%   - subject (PDF meta)
  pdfauthor    = {CRC \theCRCnumber: \theCRCname},  %   - author (PDF meta)
  pdfauthortitle = {\theNameSpokespersonPosition},
  pdfcopyright = {Copyright (c) \thisCRC All rights reserved.},
  pdfhighlight = /N,
  pdfdisplaydoctitle = true,
  pdflang     = {en},
  pdfcaptionwriter = {\theNameSpokespersonNameFirst \theNameSpokespersonName},
  % pdfencoding = auto,
  pdfproducer = {LuaLaTeX},
  % pdflicenseurl = {http://creativecommons.org/licenses/by-nc-nd/4.0/},
 % plainpages  = false,      %   -
  colorlinks  = true, % -Colours links instead of ugly boxes
  urlcolor    = rwthBlue, %Colour for external hyperlinks
  linkcolor   = black,%rwthBlue, %Colour of internal links
  citecolor   = black, %Colour of citations
 % linkbordercolor=rwthRed,
  linktoc     = page,
  pdfborder   = {0 0 0},      %   -
  breaklinks  = true,      %   - allow line break inside links
  bookmarksnumbered  = true,    %
  bookmarksopenlevel = 1,
  bookmarksopen      = true,    %
  bookmarksdepth     = 3,
%  final       = true,  % = true, nur bei web-Dokument!! (wichtig!!)
 %  hypertexnames = false,
%  pageanchor=false,
%https://tex.stackexchange.com/questions/623377/how-to-increase-the-setting-dest-names-size-using-lualatex-on-tl-2021
}
}

% \makeatletter
%     \@addtoreset{section}{chapter}
%     \@addtoreset{chapter}{part}
%     \@addtoreset{subsection}{section}
% \makeatother

 \setlength{\footheight}{17.8264pt}
